<?php
$tgl1 =  new DateTime($d['daritgl']);
$tgl2 =  new DateTime($d['sampaitgl']);

$hari =  $tgl2->diff($tgl1)->days + 1;
$pas = $this->uri->segment(4);
$pasien = $this->db->query("SELECT * FROM Patient WHERE PatientCode = '$pas'")->row_array();
date_default_timezone_set("Asia/Jakarta");
$tgll = date('Y-m-d', strtotime($pasien['DOB']));
$tanggal_lahir = new DateTime($tgll);
$sekarang = new DateTime("today");
if ($tanggal_lahir > $sekarang) {
    $thn = "0";
    $bln = "0";
    $tgl = "0";
}
$thn = $sekarang->diff($tanggal_lahir)->y;
$bln = $sekarang->diff($tanggal_lahir)->m;
$tgl = $sekarang->diff($tanggal_lahir)->d;

?>
<table style="margin-top: -10px; width: 100%;">
    <tr>
        <td style="margin-top: -10px; width: 4%;"><img src="<?= base_url('images/logo.png'); ?>" width="70" height="50"></td>
        <td style="margin-top: -10px; width: 90%; text-align:center;margin-right:470px;margin-left:270px;">
            <b style='font-size:18px;'><?= $abdulradjak['NamaPerusahaan']; ?></b><br>
            <?= $abdulradjak['AlamatPerusahaan']; ?><br>
            <small>Telp. <?= $abdulradjak['TeleponPerusahaan']; ?>, Fax : <?= $abdulradjak['FaxPerusahaan']; ?></small>
        </td>
    </tr>
</table>
<hr>
<h3 style="text-align: center;"><u>SURAT KETERANGAN SAKIT</u></h3>
<h5 style="text-align: center;margin-top:-12px">Nomor : <?= $this->uri->segment(3); ?>/SKS/2026</h5>
<p style="text-align: justify; font-size:16px; line-height: 1.5;margin-right:30px;margin-left:30px;margin-top:-12px">
    Menerangkan dengan sesungguhnya bahwa :
</p>
<table border="0" style="border-collapse: collapse;font-size:11pt;margin-right:30px;margin-left:30px;margin-top:-11px;">
    <tr>
        <td>Nama</td>
        <td>:</td>
        <td><?= $d['nama']; ?></td>
    </tr>
    <tr>
        <td>Jenis Kelamin</td>
        <td>:</td>
        <td>
            <?php
            if ($pasien['Sex'] == '1') {
                echo "Perempuan";
            } else if ($pasien['Sex'] == '2') {
                echo "Laki-laki";
            } else {
                echo "";
            }
            ?>
        </td>
    </tr>
    <tr>
        <td>Tanggal Lahir/Umur</td>
        <td>:</td>
        <td>
            <?= date('d-m-Y', strtotime($pasien['DOB'])); ?>
            (<?= $thn . ' th ' . $bln . ' bulan ' . $tgl . ' hari'; ?>)
        </td>
    </tr>
    <tr>
        <td>Alamat</td>
        <td>:</td>
        <td><?= $pasien['HomeAddress1']; ?></td>
    </tr>
    <tr>
        <td>Diagnosa</td>
        <td>:</td>
        <td><?= $d['diagnosa']; ?></td>
    </tr>
</table>
<p style="text-align: justify; font-size:16px; line-height: 1.5;;margin-right:30px;margin-left:30px;margin-top:-3px;">
    Berdasarkan pemeriksaan/tindakan medis yang telah dilakukan, maka yang bersangkutan memerlukan
    istirahat/waktu pemulihan selama <b>(<?= $hari; ?>) Hari</b>.<br>
    Terhitung tanggal <b><?= date('d-m-Y', strtotime($d['daritgl'])); ?></b> sampai dengan <b><?= date('d-m-Y', strtotime($d['sampaitgl'])); ?></b><br>
    Demikian surat ini dibuat dengan sebenar-benarnya, dan untuk dipergunakan sebagaimana mestinya.
</p>
<br><br>
<?php $tgl = date('d-m-Y'); ?>
<p style="text-align:right;margin-top:-30px;">Jakarta, <?= $tgl; ?></p>
<p style="text-align:right; margin-top:-10px">Dokter Pemeriksa</p>
<!-- <img src="<?= base_url('qr/' . $d['pengirim'] . '.png'); ?>"> -->
<!-- <p style="text-align:right;"><img src="<?= base_url('qr/' . $d['pengirim'] . '.png'); ?>" width="70" height="70"></p -->
<br><br>
<p style="text-align:right;margin-top:-20px;"><b>(<?= $d['pengirim']; ?>)</b></p>

<script>
    // window.onload = function() {
    window.print();
    // setTimeout(window.close, 500);
    // };
</script>